&size(24){''エラーメッセージへの対応''};
 emath を含んだソースリストをタイプセットしたときに出るエラーの対応法をまとめます。
 以下,エラーメッセージをアルファベット順に並べます。
#contents
#br

*! Argument of \@sect has an extra }. [#habd945b]
-\section コマンドの引数にコマンドを配置する場合,\protect をかぶせる必要がある,場合があります。
*! bekutorukata と esvect.sty の併用はしないほうがよい. [#o2217027]
-esvect.sty (EMesvect.sty) を使用する場合は,\bekutorukata は使えません。
-zahyou環境などで鏃に窪みをつける場合は~
   \def\ArrowHeadPit{.25}
などと,\ArrowHeadPit を再定義します。~
-emathOld.sty と EMesvect.sty を併用することはできません。
*! Dimension too large. [#wffe6590]
-数値計算がオーバーフローしました。
-0で割ったなどというのは論外です。
-TeX は数値計算ソフトではありません。
128*128 でオーバーフローします。
-zahyou環境においては,\unitlength を 1cm 程度に大きくするのが有力な対策です。
-寸法レジスタへの代入は 16384pt(2^30 sp) でオーバーフローします:~
   \@tempdima16384pt~
--\EMround で発生した場合の処理は [[\EMround の注意事項>EMround#notes]] をご覧ください。
--tyuukai環境で発生した場合の処理は [[tyuukai環境の注意事項>tyuukai環境#notes]] をご覧ください。
*! emathPp Error : Perl との連携ができていません。. [#pe96d581]
-Perl との連携機能がインストールされていません。
-詳しくは,emath のドキュメント samplePp.pdf をご覧ください。

*! emathPs.sty needs graphicx.sty. [#o9fe9e67]
-emathPs.sty は,graphicx.sty を前提としています。~
emathパッケージのロードに先立って~
  \usepackage{graphicx}~
を記述しておく必要があります。グラフィックドライバは,環境に応じて適宜指定します。

*! emathPut : 方位の指定が異常です:[c]. [#u53df5b4]
-\emathPut コマンドの簡易文字列配置指定において,使用可能な文字は~
  e, w, s, n~
のみです。
  c, l, r, t, b
は,(0,0) など位置微調整ベクトルを前置しなければなりません。~
詳しくは,[[\emathPut の書式>emathPut#syosiki]]をご参照願います。

*! EMpsrectbox needs emathPb.sty. [#gf3e9796]
-EMpsrectbox環境は,emathPb.sty に下請けを出しています。~
  \usepackage{emathPb}~
を記述しておく必要があります。

*! File ended while scanning use of \..... [#nc131f60]
-コマンド \..... において,`{' と `}' の対応がおかしい。

*! HenKo needs color.sty. [#a4db1fe8]
-\HenKo は,color.sty で定義されている \colorbox を用いますから,~
emathパッケージのロードに先立って~
  \usepackage{color}~
を記述しておく必要があります。グラフィックドライバは環境に応じて適宜指定します。

*! LaTeX Error: Environment..... [#naf1f69a]
-コマンド・環境が未定義です。
-そのコマンド・環境が定義されているスタイルファイルをロードします。
**! LaTeX Error: Environment edaenumerate undefined. [#z862fd10]
-edaenumerate環境は emathEy.sty で定義されています。
-プリアンブルに \usepackage{emathEy} を附加します。
**! LaTeX Error: Environment hyou undefined. [#xa8af49f]
-hyou環境は emathT.sty で定義されています。
**! LaTeX Error: Environment mawarikomi undefined. [#na72d083]
-mawarikomi環境は emathMw.sty で定義されています。
-プリアンブルに \usepackage{emathMw} を附加します。
**! LaTeX Error: Environment nidan undefined. [#r9695040]
-nidan環境は emathOld.sty で定義されています。
-プリアンブルに \usepackage{emathOld} を附加します。
**! LaTeX Error: Environment rectbox undefined. [#j523c79c]
-rectbox環境は emathPb.sty で定義されています。
**! LaTeX Error: Environment zahyou undefined. [#be32b399]
-zahyou環境は emathPh.sty で定義されています。
-プリアンブルに \usepackage{emathPh} を附加します。

*! LaTeX Error: File `....sty' not found. [#z5d71195]
-....sty が見つからない,というエラーです。
-スペルミスをチェックしましょう。
-環境によっては,大文字・小文字の別も問題となります。
-新しいスタイルファイルを追加したときは,環境によっては mktexlsr を実行する必要があります。

*! LaTeX Error: Illegal character in array arg. [#b0cdeb13]
array環境 もしくは tabular環境の欄指定子にデフォルト以外の文字が登場しています。~
emath の場合,C, L, R 等を定義していますが,これを使用するには~
  emathT.sty~
をロードしておく必要があります。
*! LaTeX Error: Missing \begin{document}. [#a6fddd8f]
-\begin{document}より前に置くことが出来ない記述があります。
-よくあるのは,全角の空白文字を配置したのが原因という場合です。
*! LaTeX Error: No counter '.....' defined. [#s73f5df9]
-counter ..... が未定義です。
-そのカウンタを定義しているスタイルファイルをロードする必要があります。

*! LaTeX Error: Undefined color `lightgray'. [#sf768ec5]
-emathパッケージでは,lightgray という color を emathPh.sty で定義しています。~
emathPh.sty をロードしなければなりませんが,その前に color.sty をロードしておくことが前提です。

*! No room for a new \dimen . [#cb020cc9]
-tex では,~
  \dimen レジスタは 255個まで~
という制約があり,それを超えてしまったというエラーです。
-使うスタイルファイルを少なくしたり,\dimen を通常の制御綴に転化したりして凌ぐこととなります。~
まずは,無用のスタイルをロードしないことから試みてください。

*! No room for a new \write . [#x0eba4d7]
-tex では,~
  \newwrite で使用可能なレジスタは 16個まで~
という制約があり,それを超えてしまったというエラーです。
-使うスタイルファイルを少なくしたり,ファイルハンドルを共有化したりして凌ぐこととなります。~
まずは,無用のスタイルをロードしないことから試みてください。

*! Number too big. [#v5d650c3]
-tex で扱える整数カウンタの数値は 2147483647(0x7FFFFFFF) が上限です。


*! Package keyval Error: .... [#db72eb66]
-"key=val" 形式でオプションを与えているとき,key が未定義です。
-その key を定義しているスタイルファイルをロードします。
**! Package keyval Error: xscale undefined. [#pf417f67]
-'xscale' は,emathPxy.sty で定義されています。~
プリアンブルに \usepackage{emathPxy} を付加します。
**! Package keyval Error: yscale undefined. [#r53a1d2e]
-'yscale' は,emathPxy.sty で定義されています。~
プリアンブルに \usepackage{emathPxy} を付加します。

*! Perl が正しく実行されていません。. [#qd9bdce2]
-perl の作業結果ファイルを読もうとしましたが,ファイルが存在しません。~
perl がエラー終了している可能性が大です。~
コマンドプロンプトで作業をしてみると,原因がわかるでしょう。

*! TeX capacity exceeded, sorry ..... [#d3aabb32]
**! TeX capacity exceeded, sorry [hash size=.....]. [#s40602a5]
-emath のドキュメント sample.tex (sample.pdf)~
  9 メモリ不足への対応~
をご覧ください。
**! TeX capacity exceeded, sorry [main memory size=.....]. [#gf622411]
-emath のドキュメント sample.tex (sample.pdf)~
  9 メモリ不足への対応~
をご覧ください。
**! TeX capacity exceeded, sorry [number of strings=10603]. [#x9f4282e]
-emath のドキュメント sample.tex (sample.pdf)~
  9 メモリ不足への対応~
をご覧ください。
**! TeX capacity exceeded, sorry [pool size=.....]. [#g7ebccd2]
-emath のドキュメント sample.tex (sample.pdf)~
  9 メモリ不足への対応~
をご覧ください。
**! TeX capacity exceeded, sorry [save size=....]. [#e0c33ed9]
-emath のドキュメント sample.tex (sample.pdf)~
  9 メモリ不足への対応~
をご覧ください。

*! Undefined control sequence. [#ecc3089f]
-上記メッセージの次の行の末尾が未定義と認定されたコマンドです。
-スペルミスをチェックしましょう。
-そのコマンドが定義されているスタイルファイルはロードされていますか。
-次の行の末尾のコマンドによる分類です:
**\bekutorukata [#n86c9195]
-bekutorukata.sty をロードしなければなりません。
**\color [#we46de13]
-color.sty をロードしなければなりません。
**\colorbox [#k48710f6]
-color.sty をロードしなければなりません。
**\columnbreak [#x017f4ef]
-multicol.sty で定義されています。~
これを読み込んでいるにもかかわらず,エラーが出る場合は,バージョンが古いのが原因です。~
multicol.sty を更新します。(toolsパッケージに含まれています。
**\define@key [#a1fb5cb3]
-keyval.sty で定義されているコマンドです。~
graphicx.sty からロードされますので,graphicx.sty を読み込んでおけばよいでしょう。
**\Deruta [#t2458b24]
-\Deruta は emathPh.sty で定義されています。
**\drawline [#a1b69c72]
-\drawline は,epic.sty, eepic.sty で定義されていますが,~
emathパッケージでは,emathPh.sty で再定義しています。~
emathPs.sty を使用するときは,それに先立って emathPh.sty をロードしておかないとこのエラーが発生します。~
このあたりの事情については,[[掲示板 No.2679>http://emath.s40.xrea.com/BBS/treebbs.cgi?kako=1&log=2679]]
をご覧ください。
**\Gin@drafttrue [#c2b5b58b]
-graphicx.sty を読み込んでおかなければなりません。
**\Gurafu [#ra6950be]
-\Gurafu コマンドは,obsolete です。どうしても使いたいときは,emathOld.sty をロードします。
**\hakosyokika [#e74fd515]
-hako.sty をロードします。
**\headchar [#s90eeef2]
-\headchar は emathC.sty で定義されています。
**\isodd [#l735af8c]
-\isodd は ifthen.sty で定義されています。(ifthen.sty は LaTeX標準配布です。)~
emathパッケージでは,ifthen.sty は必ず読み込まれています。~
それでもエラーが出るということは,ifthen.sty が古い,多分 LaTeX209 時代のものが読み込まれているのでしょう。~
そのあたりログファイルでお確かめください。
**\multido [#l29c79b8]
-\multido は,multido.sty で定義されています。~
multido.sty は,CTAN にありますが,当サイト目次「その他」にもあります。
**\resizebox [#c10821b4]
-graphicx.sty を読み込んでおかなければなりません。
**\rotatebox [#x74cc6ec]
-graphicx.sty を読み込んでおかなければなりません。
**\yGurafu [#w59fcd09]
-\yGurafu コマンドは,obsolete です。どうしても使いたいときは,emathOld.sty をロードします。
*! Use of ...... doesn't match its definition. [#c04d2f45]
-コマンド ..... の使用法が正しくないことを示します。
-そのコマンドの引数内に,更に別のコマンドが含まれるときは,それに \protect をかぶせると解決することがあります。
RIGHT:&counter;

トップ   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS